function dudt = Richv(t,u,C,K,BC_data,pts);

% Vectorized !
% dudt =  Richv(t,u,C,K,data,pts);
% C(u) udot = ddx( K(u) ddx(u - 1) ); 
% Boundary conditions are passed in 
% with u_x(0,t) = data(1)  and u(1,t) = data(2)

global XXX

[M,N] = size(u);
u = [NaN*ones(1,N) ; u ];

%dx = diff(x);
%M = length(dx);
%e = dx.^(-2);
%e = e(:);
%A = spdiags([e -2*e e],-1:1,M,M);
%A(1,1) = -e(1);
%F = zeros(1,M);
%F(1) = 1*e(1);
%F(M) = Theta2;

x = XXX';
dx = diff(x);
xm = x(1:M+1,:) + dx/2;
dxm = diff(xm);
dx = repmat(dx(:),1,N);
dxm = repmat(dxm(:),1,N);

% set bc's
Theta1 = evaluate(BC_data(:,1:2),t); 
Theta2 = evaluate(BC_data(:,1:2:3),t);

u(1,:) = u(2,:)-Theta1*dx(1,:);         % dudx(0,t) = theta1 
u(M+2,:) = Theta2;                      % u(1,t) = theta2 
um = (u(1:M+1,:) + u(2:M+2,:))/2;       % sets up midpoint of u
Kum =  evaluate(K,um);          % finds K on midpoint

%bound Kum away from zero
Kum = max(Kum,eps);

dudt = diff(Kum .*((diff(u)./ dx) - 1)) ./ dxm;         %ddx(Ku (dudx-1));

%forces u to be decreasing
%(but not monotone)

%dudt = min(dudt(h(1:end,:),0);
