addpath /home/grad/a/thelwell/re/porous/code/implicit/two/locked
addpath Z://re/porous/code/implicit/two/locked

BC = [0 1 0 ; 1 1 0];

for i = 1:10
    dataname = sprintf('p%i.dat',i)
    [delp,delq,c_tspan,drel,app_K,app_C,MM,BB,success] = ...
                     test_Cscale(dataname,[],BC);
    fname = sprintf('run_%i',i); 
    save(strcat('runs',filesep,fname));
    clear del* c_tspan app* MM BB success 
  end
end

rmpath /home/grad/a/thelwell/re/porous/code/implicit/two/locked
rmpath Z://re/porous/code/implicit/two/locked
