table ={
'\alpha = 1/3 \beta = 2',
'\alpha = 1/2 \beta = 2',
'\alpha = 1 \beta = 2',
'\alpha = 2 \beta = 2',
'\alpha = 3 \beta = 2',
'\alpha = 1 \beta = 0',
'\alpha = 1 \beta = 1',
'\alpha = 1 \beta = 2',
'\alpha = 1 \beta = 3',
'\alpha = 1 \beta = 4',
'\alpha = 1 \beta = 5',
'C(h) = 1 , K(h) = 1+sin(5h)',
'C(h) = 1+sin(5h) , K(h) = 1',
};

for i = 1:11
   fname = sprintf('p%i.dat',i);
   name = fname(1:end-3);
   data = load(fname);
   tl = data(3:end,1);
   pl = data(3:end,4);
   ql = data(3:end,5);
   x_indx(i) = min(find(pl<ql));
   x_val(i) = pl(x_indx(i))
   fp(i) = pl(601)
   fq(i) = ql(601)
end

fid = fopen('xtime_tab.txt','w');
fprintf(fid,'\\begin{tabular}{||c|c|c|c|c||} \n');
fprintf(fid,'\\hline \n');
fprintf(fid,'Parameter values & Crossing time & Crossing value & final $p$ & final $q$ \\\\ \n');
fprintf(fid,'\\hline \n');
fprintf(fid,'\\hline \n');
for i = 1:length(x_val)
 fprintf(fid,'$ %s $ & %6.4f & %6.4f & %6.4f & %6.4f \\\\ \n',table{i},tl(x_indx(i)), x_val(i),fp(i), fq(i) );
end
fprintf(fid,'\\hline \n');
fprintf(fid,'\\end{tabular} \n');
fclose(fid);

