load run_10;
for i = 1:4
  tt(1:3,i) = app_K{i}(:,1);
  kk(1:3,i) = app_K{i}(:,2);
  cc(1:3,i) = app_C{i}(:,2);
end
tk = 2 + (1/2)*[-1.4;0];
tc = 1 - (1/2)*[-1.4;0];

plot([-1.4;0],tc,'--k',...
     tt(:,1),cc(:,1),'--k<',tt(:,2),cc(:,2),'--ks',tt(:,3),cc(:,3),'--k*',...
     [-1.4;0],tk,'-k',...
     tt(:,1),kk(:,1),'-k<',tt(:,2),kk(:,2),'-ks',tt(:,3),kk(:,3),'-k*');
title('Iteration Run 10','FontSize',18);
xlabel('State H','FontSize',18); 
ylabel('Coefficient','FontSize',18); 
h= legend('True C','C Iteration 0','C Iteration 1', 'C Iteration 2',...
          'True K','K Iteration 0','K Iteration 1', 'K Iteration 2',2);
set(h,'FontSize',14);

figure

load run_11;

for i = 1:4
  tt(1:3,i) = app_K{i}(:,1);
  kk(1:3,i) = app_K{i}(:,2);
  cc(1:3,i) = app_C{i}(:,2);
end
tk = 2 + (1/2)*[-1.4;0];
tc = 1 - (1/2)*[-1.4;0];

plot([-1.4;0],tc,'--k',...
     tt(:,1),cc(:,1),'--k<',tt(:,2),cc(:,2),'--ks',tt(:,3),cc(:,3),'--k*',...
     [-1.4;0],tk,'-k',...
     tt(:,1),kk(:,1),'-k<',tt(:,2),kk(:,2),'-ks',tt(:,3),kk(:,3),'-k*');
title('Iteration Run 11','FontSize',18);
xlabel('State H','FontSize',18); 
ylabel('Coefficient','FontSize',18); 
h= legend('True C','C Iteration 0','C Iteration 1', 'C Iteration 2',...
          'True K','K Iteration 0','K Iteration 1', 'K Iteration 2',2);
set(h,'FontSize',14);


