function out = BC(num);

% col(1) = time;
% col(2) = flux at x = 0;
% col(3) = state at x = 1;

width = 25;
scale = linspace(0,1);
scale = scale(:);

t1 = width*scale;
f1 = -width*scale;
f2 = -width*scale.^2;
f3 = -width*scale.^(1/2);
f4 = -width*scale*(1/2);
f5 = -width*scale*2;
f6 = -width*scale*4;
v1 = scale*0 + 1;
table = { 
[ 0 1 0 ; 1-eps 1 0 ; t1+1 v1 f1 ],
[ 0 1 0 ; 1-eps 1 0 ; t1+1 v1 f2 ],
[ 0 1 0 ; 1-eps 1 0 ; t1+1 v1 f3 ],
[ 0 1 0 ; 1-eps 1 0 ; 1+(1/100) 1 0 ; 50+1 1 -25 ],
[ 0 1 0 ; 1-eps 1 0 ; 1+(1/100) 1 0 ; 12.5+1 1 -25 ],
[ 0 1 0 ; 1-eps 1 0 ; 1+(1/100) 1 0 ; 7.25+1 1 -25 ],
[ 0 1 0 ; 1 1 0 ; 1+(1/100) 1 -10 ; 10 1 -10 ; 10+(1/100) 1 -25 ; 26 1 -25 ],
};

if num>length(table)
  error('Not a function entry');
end

out = table{num}; 
