c1 = [3 1 2];
c2 = [4 1 5 6 7] ;


i1 = [1:7];
i2 = [8:14];
i3 = [15:21];
i4 = [22:28];

for num = 1:7 
   fname = sprintf('run_%i.mat',num);
   load(fname);
   sd = length(drel(2,:)); 
   oberr1(num,1:sd) = (drel(2,:));
   err1(num) = min(drel(2,:));
end

for num = 8:14 
   fname = sprintf('run_%i.mat',num);
   load(fname);
   sd = length(drel(2,:)); 
   oberr2(num,1:sd) = (drel(2,:));
   err2(num-7) = min(drel(2,:));
end

for num = 15:21 
   fname = sprintf('run_%i.mat',num);
   load(fname);
   sd = length(drel(2,:)); 
   oberr3(num,1:sd) = (drel(2,:));
   err3(num-14) = min(drel(2,:));
end

for num = 22:28 
   fname = sprintf('run_%i.mat',num);
   load(fname);
   sd = length(drel(2,:)); 
   oberr4(num,1:sd) = (drel(2,:));
   err4(num-21) = min(drel(2,:));
end

%figure;
%mesh(oberr1);
%figure;
%mesh(oberr2);
%figure;
%mesh(oberr3);
figure;
plot(i1,err1,i2,err2,i3,err3,i4,err4);
legend('run 1','run 2', 'run 3' , 'run 4');

figure;
a1 = 1:3;
plot(a1,err1(c1),'-k+',a1,err2(c1),'-k*',...
     a1,err3(c1),'-ks',a1,err4(c1),'-kd');
title('Error over Quadratic BC family'); 
legend('C up  K up ','C dn K up', 'C up K dn' , 'C dn K dn');

figure;
a2 = 1:5;
plot(a2,err1(c2),'-k+',a2,err2(c2),'-k*',...
     a2,err3(c2),'-ks',a2,err4(c2),'-kd');
title('Error over Linear BC family')  
xs = 8e-5;
%text(1,8e-4,'BC 4',2,8e-4,'BC 1',3,8e-4,'BC 5',4,8e-4,'BC 6',5,8e-4,'BC 7'); 
legend('C up  K up ','C dn K up', 'C up K dn' , 'C dn K dn');
