tt = linspace(0,46,50);
for i=1:7
    data = BC(i);
    ff(i,1:50) =  interp1(data(:,1),data(:,3),tt);
end

plot(tt,ff(1,1:50)','-k.',...
     tt,ff(2,1:50)','--k',...
     tt,ff(3,1:50)','-.k',...
     tt,ff(4,1:50)',':k',...
     tt,ff(5,1:50)','-k',...
     tt,ff(6,1:50)','-k+',...
     tt,ff(7,1:50)','-kx');

h1 = legend('BC1','BC2','BC3','BC4','BC5','BC6','BC7');
set(h1,'FontSize',18);
title('Boundary Conditions over time','FontSize',18);
xlabel('Time','FontSize',18);
ylabel('State','FontSize',18);
axis([-1,26,-26,1]);

