function [pp,x,y] = gui(X,Y,name)

%function [pp,x,y] = gui(X,Y,name)
%Modified SPLINE2D Demonstrate GINPUT and SPLINE in two dimensions.
%Now gui 

%   CBM, 8-9-91, 8-12-92.
%   Copyright (c) 1984-98 by The MathWorks, Inc.
%   $Revision: 5.5 $  $Date: 1997/11/21 23:27:11 $

clf reset
axis([min(X) max(X) min(Y) max(Y)])
hold on
view(0,90)

echo on;
% Please use the left mouse button or the cursor to select several points.
% Use the return key (or right mouse button) to stop input.

x = [];
y = [];
n = 0;
% Loop, picking up the points.
but = 1;
echo off;
while but == 1
   [xi,yi,but] = ginput(1);
   if length(but)==0,
    if n<2
     but=1;
     disp('Pick at least two points please.')
    else
     but=2;
    end
   elseif but~=1
    if n<2
     but=1;
     disp('Pick at least two points please.')
    end

  else
   plot(xi,yi,'go') 
                                
   n = n + 1;
   text(xi,yi,[' ' int2str(n)],'Erase','back');
   x = [x; xi];
   y = [y; yi];
  end
end

echo on;
lf_end = input('Slope for left endpoint :')
rt_end = input('Slope for right endpoint :')
y = [lf_end ; y ; rt_end];

disp('End of data entry')

% Interpolate the points with two splines, evaluated with a finer spacing.

%t = 1:n;
%ts = 1:1/10:n;
pp = spline(x,y);
%xs = spline(t,x,ts);
%ys = spline(t,y,ts);

% Plot the interpolated curve with a cyan colored line.

plot(X,ppval(pp,X));
disp('Here is the function')
pause(2)
echo off
hold off
disp('End')
